Bug 1698625 - SecurityContextConstraints must be served from a CRD to improve platform reliability [NEEDINFO]
Summary: SecurityContextConstraints must be served from a CRD to improve platform reli...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Sally
QA Contact: scheng
URL:
Whiteboard:
: 1704201 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-10 19:13 UTC by Derek Carr
Modified: 2019-06-04 10:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:22 UTC
Target Upstream Version:
scheng: needinfo? (mkhan)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:30 UTC

Description Derek Carr 2019-04-10 19:13:39 UTC
Description of problem:
If the openshift-apiserver is down, end-users are unable to create new pods because SCC is not available in admission.  The SCC API resource should be served from a CRD to ensure its always available in kube admission chain to improve platform reliability.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Sally 2019-05-01 19:32:09 UTC
series of PRs landing today/tomorrow will resolve this. 
https://github.com/openshift/origin/pull/22658 should be last.

Comment 4 Standa Laznicka 2019-05-02 15:48:48 UTC
*** Bug 1704201 has been marked as a duplicate of this bug. ***

Comment 13 errata-xmlrpc 2019-06-04 10:47:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.